dart_json_mapper_fixnum 1.1.0

  • Readme
  • Changelog
  • Example
  • Installing
  • 54

pub package

This is a dart-json-mapper complementary package provides support for https://pub.dev/packages/fixnum types in order to serialize / deserialize them from / to JSON.

Basic setup #

Beforehand please consult with basic setup section from dart-json-mapper package.

Please add the following dependencies to your pubspec.yaml:

dependencies:
  dart_json_mapper:
  dart_json_mapper_fixnum:
dev_dependencies:
  build_runner:

Usage example lib/main.dart

import 'package:fixnum/fixnum.dart' show Int32;
import 'package:dart_json_mapper/dart_json_mapper.dart';
import 'package:dart_json_mapper_fixnum/dart_json_mapper_fixnum.dart';

import 'main.reflectable.dart'; // Import generated code.

@jsonSerializable
class FixnumClass {
  Int32 integer32;

  FixnumClass(this.integer32);
}

main() {
  initializeReflectable(); // Imported from main.reflectable.dart
  JsonMapper().useAdapter(fixnumAdapter); // Imported from dart_json_mapper_fixnum
  
  print(JsonMapper.serialize(
     FixnumClass(Int32(1234567890))
  ));
}

output:

{
  "integer32": 1234567890
}

1.1.0 #

  • Support for new adapters contract

1.0.1 #

  • Serialize to JSON number instead of string

1.0.0 #

  • Support for [Int32, Int64, List

0.1.0 #

  • Initial support for Int32, Int64 types

example/example.dart

library json_mapper_fixnum.example;

import 'package:dart_json_mapper/dart_json_mapper.dart';
import 'package:dart_json_mapper_fixnum/dart_json_mapper_fixnum.dart';
import 'package:fixnum/fixnum.dart' show Int32;

import 'example.reflectable.dart'; // Import generated code.

@jsonSerializable
class Int32IntData {
  Int32 int32;

  Int32IntData(this.int32);
}

void main() {
  initializeReflectable();
  JsonMapper().useAdapter(fixnumAdapter);

  // given
  final rawString = '1234567890';
  final json = '{"int32":"${rawString}"}';

  // when
  final targetJson = JsonMapper.serialize(
      Int32IntData(Int32.parseInt(rawString)),
      SerializationOptions(indent: ''));

  // Serialized object
  print(targetJson);

  // when
  final target = JsonMapper.deserialize<Int32IntData>(json);

  // Deserialize object
  print(target.int32.toString());
}

Use this package as a library

1. Depend on it

Add this to your package's pubspec.yaml file:


dependencies:
  dart_json_mapper_fixnum: ^1.1.0

2. Install it

You can install packages from the command line:

with pub:


$ pub get

with Flutter:


$ flutter pub get

Alternatively, your editor might support pub get or flutter pub get. Check the docs for your editor to learn more.

3. Import it

Now in your Dart code, you can use:


import 'package:dart_json_mapper_fixnum/dart_json_mapper_fixnum.dart';
  
Popularity:
Describes how popular the package is relative to other packages. [more]
8
Health:
Code health derived from static analysis. [more]
100
Maintenance:
Reflects how tidy and up-to-date the package is. [more]
100
Overall:
Weighted score of the above. [more]
54
Learn more about scoring.

We analyzed this package on Feb 26, 2020, and provided a score, details, and suggestions below. Analysis was completed with status completed using:

  • Dart: 2.7.1
  • pana: 0.13.5

Dependencies

Package Constraint Resolved Available
Direct dependencies
Dart SDK >=2.3.1 <3.0.0
dart_json_mapper >=1.5.1 <3.0.0 1.5.2
fixnum ^0.10.11 0.10.11
Transitive dependencies
_fe_analyzer_shared 1.0.3
analyzer 0.39.4
args 1.5.2
async 2.4.0
build 1.2.2
build_config 0.4.2
build_daemon 2.1.3
build_resolvers 1.3.3
build_runner_core 4.4.0
built_collection 4.3.2
built_value 7.0.9
charcode 1.1.3
checked_yaml 1.0.2
code_builder 3.2.1
collection 1.14.12
convert 2.1.1
crypto 2.1.4
csslib 0.16.1
dart_style 1.3.3
glob 1.2.0
graphs 0.2.0
html 0.14.0+3
http 0.12.0+4
http_multi_server 2.2.0
http_parser 3.1.3
intl 0.16.1
io 0.3.3
js 0.6.1+1
json_annotation 3.0.1
logging 0.11.4
matcher 0.12.6
meta 1.1.8
mime 0.9.6+3
node_interop 1.0.3
node_io 1.0.1+2
package_config 1.9.1
package_resolver 1.0.10
path 1.6.4
pool 1.4.0
pub_semver 1.4.3
pubspec_parse 0.1.5
quiver 2.1.2+1
shelf 0.7.5
shelf_web_socket 0.2.3
source_span 1.6.0
stack_trace 1.9.3
stream_channel 2.0.0
stream_transform 1.2.0
string_scanner 1.0.5
term_glyph 1.1.0
timing 0.1.1+2
typed_data 1.1.6
watcher 0.9.7+13
web_socket_channel 1.1.0
yaml 2.2.0
Dev dependencies
build_runner any 1.7.4
build_test any
pedantic any 1.9.0
reflectable any 2.2.1+2
test any